SK_FILTER(9)

NAME
sk_filter - run a packet through a socket filter

SYNOPSIS

int sk_filter(struct sock * sk, struct sk_buff * skb);

ARGUMENTS

sk
    sock associated with sk_buff

skb
    buffer to filter

DESCRIPTION

Run the filter code and then cut skb->data to correct size returned by SK_RUN_FILTER. If pkt_len is 0 we toss packet. If skb->len is smaller than pkt_len we keep whole skb->data. This is the socket level wrapper to SK_RUN_FILTER. It returns 0 if the packet should be accepted or -EPERM if the packet should be tossed.

COPYRIGHT